Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class EDMType.PageDefinition.CommonBlock

    java.lang.Object
      com.sun.mdm.index.parser.EDMType.PageDefinition.CommonBlock

Enclosing class:
  EDMType.PageDefinition

class EDMType.PageDefinition.CommonBlock
extends java.lang.Object

Field Summary
`(package private) java.lang.String` | `allowInsert`
`(package private) java.util.ArrayList` | `alSimpleSearchPages`
`(package private) java.lang.String` | `displayOrder`
`(package private) EDMType.PageDefinition.PageTab` | `pageTab`
`(package private) java.lang.String` | `screenID`
`(package private) EDMType.PageDefinition.SearchResultListPage` | `searchResultListPage`

Constructor Summary
`(package private)` | `EDMType.PageDefinition.CommonBlock()`

Method Summary
`(package private) EDMType.PageDefinition.SearchResultListPage` | `addSearchResultListPage()`
`(package private) EDMType.PageDefinition.SimpleSearchPage` | `addSimpleSearchPage()`
`(package private) void` | `addSimpleSearchPage(EDMType.PageDefinition.SimpleSearchPage simpleSearchPage)`
`(package private) java.util.ArrayList` | `getAlFieldGroup()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allowInsert

    java.lang.String allowInsert

### alSimpleSearchPages

    java.util.ArrayList alSimpleSearchPages

### displayOrder

    java.lang.String displayOrder

### pageTab

    EDMType.PageDefinition.PageTab pageTab

### screenID

    java.lang.String screenID

### searchResultListPage

    EDMType.PageDefinition.SearchResultListPage searchResultListPage

Constructor Detail

### EDMType.PageDefinition.CommonBlock

    EDMType.PageDefinition.CommonBlock()

Method Detail

### addSearchResultListPage

    EDMType.PageDefinition.SearchResultListPage addSearchResultListPage()

### addSimpleSearchPage

    EDMType.PageDefinition.SimpleSearchPage addSimpleSearchPage()

### addSimpleSearchPage

    void addSimpleSearchPage(EDMType.PageDefinition.SimpleSearchPage simpleSearchPage)

### getAlFieldGroup

    java.util.ArrayList getAlFieldGroup()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.